import React, { useEffect, useState } from "react";
import { BrowserRouter as Router, Routes, Route } from "react-router-dom";
import Dashboard from "./pages/Dashboard";
import Project from "./pages/Project";
import UserAuth from "./pages/UserAuth";
import "./styles/main.scss";
import { LoggerProvider } from "./components/ui/log/LoggerContext";

const App: React.FC = () => {

  return (
    <LoggerProvider>
      <Router>
        <Routes>
          <Route path="/" element={<UserAuth />} />
          <Route path="/dashboard" element={<Dashboard />} />
          <Route path="/:projectId" element={<Project />} />
        </Routes>
      </Router>
    </LoggerProvider>
  );
};

export default App;
