import React from "react";
import InputWithDropDown from "../../../../../ui/inputs/InputWithDropDown";

interface DelayActionProps {
  value: string;
  defaultValue: string;
  min: number;
  max: number;
  onChange: (value: string) => void;
}

const DelayAction: React.FC<DelayActionProps> = ({
  value,
  defaultValue,
  min,
  max,
  onChange,
}) => {
  return (
    <InputWithDropDown
      label="Delay"
      value={value}
      min={min}
      step={0.1}
      defaultValue={defaultValue}
      max={max}
      activeOption="s"
      onClick={() => {}}
      onChange={onChange}
    />
  );
};

export default DelayAction;
