import React from "react";
import PreviewSelectionWithUpload from "../../../../../ui/inputs/PreviewSelectionWithUpload";

interface SwapActionProps {
  onSelect: (option: string) => void;
  defaultOption: string;
  options: string[];
}

const SwapAction: React.FC<SwapActionProps> = ({
  onSelect,
  defaultOption,
  options,
}) => {
  return (
      <PreviewSelectionWithUpload
        label="Presets"
        defaultOption={defaultOption}
        options={options}
        onSelect={onSelect}
      />
  );
};

export default SwapAction;
