import ArcAisle from './aisleTypes/arcAisle';
import ArrowAisle from './aisleTypes/arrowAisle';
import ArrowsAisle from './aisleTypes/arrowsAisle';
import CircleAisle from './aisleTypes/circleAisle';
import DashedAisle from './aisleTypes/dashedAisle';
import DottedAisle from './aisleTypes/dottedAisle';
import JunctionAisle from './aisleTypes/junctionAisle';
import SolidAisle from './aisleTypes/solidAisle';

function AisleInstance({ aisle }: { readonly aisle: Aisle }) {

    return (
        <>
            {aisle.type.aisleType === 'solid-aisle' && (
                <SolidAisle aisle={aisle} />
            )}

            {aisle.type.aisleType === 'dashed-aisle' && (
                <DashedAisle aisle={aisle} />
            )}

            {aisle.type.aisleType === 'dotted-aisle' && (
                <DottedAisle aisle={aisle} />
            )}

            {aisle.type.aisleType === 'arrows-aisle' && (
                <ArrowsAisle aisle={aisle} />
            )}

            {aisle.type.aisleType === 'arrow-aisle' && (
                <ArrowAisle aisle={aisle} />
            )}

            {aisle.type.aisleType === 'circle-aisle' && (
                <CircleAisle aisle={aisle} />
            )}

            {aisle.type.aisleType === 'junction-aisle' && (
                <JunctionAisle aisle={aisle} />
            )}

            {aisle.type.aisleType === 'arc-aisle' && (
                <ArcAisle aisle={aisle} />
            )}
        </>
    );
}

export default AisleInstance;