let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const duplicateProject = async (
  projectUuid: string,
  thumbnail: string,
  projectName: string
) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/project/Duplicate`,
      {
        method: "POST",
        headers: {
          Authorization: "Bearer <access_token>", // Replace with actual token
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "", // Coerce null to empty string
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
        body: JSON.stringify({ projectUuid, thumbnail, projectName }),
      }
    );

    console.log("response: ", response);
    if (!response.ok) {
      throw new Error("Failed to add project");
    }

    const result = await response.json();
    console.log("result: ", result);
    return result;
  } catch (error) {
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
