const url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// const url_Backend_dwinzo = `http://192.168.0.102:5000`;

export const restoreTrash = async (organization: string, projectId: string) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/Trash/restore?projectId=${projectId}`,
      {
        method: "PATCH",
        headers: {
          Authorization: "Bearer <access_token>", // Replace with actual token
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "", // Coerce null to empty string
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
      }
    );

    if (!response.ok) {
      throw new Error("Failed to fetch trash data");
    }

    const data = await response.json();
    console.log("restore: ", response);
    return data;
  } catch (error: any) {
    console.error("Failed to fetch trash data:", error);
    throw new Error(error.message || "Unknown error");
  }
};
