let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const trashSearchProject = async (
  organization: string,
  userId: string,
  searchName: string
) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/search/searchTrashProjects?searchName=${searchName}`,
      {
        method: "GET",
        headers: {
          Authorization: "Bearer <access_token>", // Replace with actual token
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "", // Coerce null to empty string
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
      }
    );

    if (!response.ok) {
      throw new Error("Failed to add project");
    }

    const result = await response.json();
    console.log("searchTrashProjects: ", result);
    return result;
  } catch (error) {
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
