let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const viewProject = async (
  organization: string,
  projectId: string,
  userId: string
) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/Project/${projectId}`,
      {
        method: "GET",
        headers: {
          Authorization: "Bearer <access_token>", // Replace with actual token
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "", // Coerce null to empty string
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
      }
    );

    if (!response.ok) {
      throw new Error("Failed to fetch");
    }

    return await response.json();
  } catch (error: any) {
    console.error("Failed to get asset image:", error);
    throw new Error(error.message);
  }
};
