let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const deleteFloorItem = async (
  organization: string,
  modelUuid: string,
  modelName: string
) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/v1/deletefloorItem`,
      {
        method: "DELETE",
        headers: {
          "Content-Type": "application/json",
        },
        body: JSON.stringify({ organization, modelUuid, modelName }),
      }
    );

    if (!response.ok) {
      throw new Error("Failed to delete Floor Item");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to delete floor item");
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
