let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export default async function fetchShareUsers(organization: string) {
  const apiUrl = `${url_Backend_dwinzo}/api/v1/findshareUsers?organization=${organization}`;

  try {
    const response = await fetch(apiUrl, {
      method: "GET",
      headers: {
        "Content-Type": "application/json",
      },
    });

    if (!response.ok) {
      throw new Error(`Error: ${response.status} - ${response.statusText}`);
    }

    if (!response.ok) {
      throw new Error("Failed to get users ");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to get user API");
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
}
