let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const updatePoint = async (
  organization: string,
  position: Object,
  uuid: string
) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/v1/updatePoint`, {
      method: "POST",
      headers: {
        "Content-Type": "application/json",
      },
      body: JSON.stringify({ organization, position, uuid }),
    });

    if (!response.ok) {
      throw new Error("Failed to update point");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to update point");
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
