let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const deleteZonesApi = async (
  userId: string,
  organization: string,
  zoneUuid: string
) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/v1/setLine`, {
      method: "POST",
      headers: {
        "Content-Type": "application/json",
      },
      body: JSON.stringify({ userId, organization, zoneUuid }),
    });

    if (!response.ok) {
      throw new Error("Failed to delete zone");
    }

    const result = await response.json();

    return result;
  } catch (error) {
    echo.error("Failed to delete zone");
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
