let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;

export const getZonesApi = async (organization: string, projectId?: string) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/zones/${projectId}`,
      {
        method: "GET",
        headers: {
          Authorization: "Bearer <access_token>",
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "",
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
      }
    );

    if (!response.ok) {
        throw new Error("Failed to get Zones");
    }

    const result = await response.json();
    // console.log('result:zone ', result);
    
    return result;
  } catch (error) {
    echo.error("Failed to get zone data");
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
