let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const getAllProductsApi = async (projectId: string) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/ProjectProducts/${projectId}`,
      {
        method: "GET",
        headers: {
          Authorization: "Bearer <access_token>",
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "",
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
      }
    );

    if (!response.ok) {
      throw new Error("Failed to fetch all products data");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to get all product API");
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
