let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const renameProductApi = async (body: {
  productName: string;
  productUuid: string;
  projectId: string;
}) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/V1/RenameProduct`, {
      method: "PATCH",
      headers: {
        Authorization: "Bearer <access_token>",
        "Content-Type": "application/json",
        token: localStorage.getItem("token") || "",
        refresh_token: localStorage.getItem("refreshToken") || "",
      },
      body: JSON.stringify(body),
    });

    if (!response.ok) {
      throw new Error("Failed to rename product");
    }

    const result = await response.json();
    console.log('result: ', result);
    return result;
  } catch (error) {
    echo.error("Failed to rename product Api");

    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
