let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;

export const deleteWidgetApi = async (
  widgetID: string,
  organization: string,
  zoneUuid: string
) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/V1/widget/delete`, {
      method: "PATCH",
      headers: {
        Authorization: "Bearer <access_token>",
        "Content-Type": "application/json",
        token: localStorage.getItem("token") || "",
        refresh_token: localStorage.getItem("refreshToken") || "",
      },
      body: JSON.stringify({ organization, widgetID, zoneUuid }),
    });

    if (!response.ok) {
      throw new Error("Failed to delete widget in the zone");
    }
    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to delete widget");
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
