import { projectTutorial } from "../../dashboard/projectTutorial";

let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;
export const get3dWidgetZoneData = async (
  zoneUuid?: string,
  organization?: string,
  projectId?: string
) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/widget3d/data/${zoneUuid}/${projectId}`,
      {
        method: "GET",
        headers: {
          Authorization: "Bearer <access_token>",
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "",
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
      }
    );
    if (!response.ok) {
      throw new Error("Failed to fetch Zone3dWidgetData");
    }

    return await response.json();
  } catch (error: any) {
    echo.error("Failed to fetch 3d data");
    throw new Error(error.message);
  }
};
