let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;
export const loadTempleteApi = async (
  templateID: string,
  zoneUuid: string,
  organization: string
) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/template/toZone`,
      {
        method: "POST",
        headers: {
          Authorization: "Bearer <access_token>",
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "",
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
        body: JSON.stringify({ organization, zoneUuid, templateID }),
      }
    );

    if (!response.ok) {
      throw new Error("Failed to load Template in the zone");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to load template");
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
